if not yl_spawnit.has.mobs_monster then
	return
end

spawnit.register({
	entity_name = "mobs_monster:dungeon_master",
	groups = { monster = 1 },
	chance = yl_spawnit.base_chance * 7000 / 6000,
	on = { "caverealms:hot_cobble" },
	max_y = -8000,
	max_node_light = 12,
	max_in_area = 2,
	max_any_in_area = 6,
	min_player_distance = 12,
	spawn_in_protected = false,
	after_spawn = function(pos, obj)
		local ent = obj:get_luaentity()
		ent.hp_max = 70
		ent.health = 70
		ent.damage = 5
		ent.shoot_interval = 1.5
		ent.dogshoot_switch = 0
	end,
}, yl_spawnit.settings.check_nodes)
