local s = mobs_balrog.settings

spawnit.register({
	entity_name = "mobs_balrog:balrog",
	groups = { monster = 1 },
	chance = 7200,
	within = { "breathable" },
	on = { "node" },
	min_y = s.min_height,
	max_y = s.max_height,
	min_node_light = s.min_node_light,
	max_node_light = s.max_node_light,
	max_in_area = 1,
	max_in_area_radius = 128,
	min_player_distance = 24,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

spawnit.register({
	entity_name = "mobs_balrog:balrog",
	groups = { monster = 1 },
	chance = 7200 / 2,
	within = { "breathable" },
	on = { "node" },
	min_y = s.min_height,
	max_y = (3 * s.min_height + s.max_height) / 4,
	min_node_light = s.min_node_light,
	max_node_light = s.max_node_light,
	max_in_area = 1,
	max_in_area_radius = 128,
	min_player_distance = 24,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

if spawnit.has.nether and mobs_balrog.settings.spawn_in_nether and nether.DEPTH_FLOOR > s.max_height then
	spawnit.register({
		entity_name = "mobs_balrog:balrog",
		groups = { monster = 1 },
		chance = 7200,
		within = { "breathable" },
		on = { "node" },
		min_y = nether.DEPTH_FLOOR,
		max_y = nether.DEPTH_CEILING,
		min_node_light = s.min_node_light,
		max_node_light = s.max_node_light,
		max_in_area = 1,
		max_in_area_radius = 128,
		min_player_distance = 24,
		spawn_in_protected = false,
	}, yl_spawnit.settings.check_nodes)
end
