local positions_per_mapblock = 32

spawnit.register({
	entity_name = "nether_mobs:dragon",
	groups = { monster = 1, nether = 1 },
	chance = 60 * 60 * 6,
	cluster = 1,
	positions_per_mapblock = positions_per_mapblock,
	on = { "any" },
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	min_player_distance = 16,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)

spawnit.register({
	entity_name = "nether_mobs:netherman",
	groups = { monster = 1, nether = 1 },
	chance = 15,
	cluster = 2,
	positions_per_mapblock = positions_per_mapblock,
	on = { "nether:sand", "nether:rack" },
	min_y = nether.DEPTH_FLOOR,
	max_y = nether.DEPTH_CEILING,
	min_player_distance = 5,
	spawn_in_protected = false,
}, yl_spawnit.settings.check_nodes)
